// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Rectangle {
	id: auth
	property string page_id: ""

	Rectangle {
		x: 0; y: 0; width: 640; height: 480
		color: "#000000"
	}

	SailKeypad { password: 1 }

	Rectangle {
		x: 360 ; y: 20; width: 272; height: 50
		color: "black"
		Text {
			id: display
			width: parent.width
			text:"Password to show status";
			font.pointSize: 18; color: "white"
			horizontalAlignment: Text.AlignRight
		}
	}

	Item {
		x: 400; y: 80; width: 150; height: 84
		Image { id: piccall; anchors.fill: parent; smooth: true
                        source: main.theme + "dp-call.png"}
		MouseArea {
			anchors { fill: parent;}
			onClicked: {
				main.switchPage("status");
			}
		}
	}
        Item {
		x: 400; y: 362; width: 150; height: 84
		Image { id: picExitDial; anchors.fill: parent; smooth: true
			source: main.theme + "dp-exit.png"
		}
		MouseArea {
			anchors { fill: parent; }
			onPressed: {
				picExitDial.source = main.theme + "exit-p.png";
			}
			onReleased: {
				play_sound();
				main.switchPageHome();
				picExitDial.source = main.theme + "exit.png";
			}
		}
        }
}
