// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	property string page_id: ""

	width: 640; height: 480

	function showUnlocked()
	{
		bg_image.source = main.theme + "door-unlocked.png";
		msgTimer.restart();
	}

	function showInvalid()
	{
		bg_image.source = main.theme + "invalid-code.png";
		msgTimer.restart();
	}

	Image {
		id: bg_image
		anchors { fill: parent;}
		source: main.theme + "door-unlocked.png"
	}

	Timer {
		id: msgTimer
		interval: 1000
		onTriggered: {
			if (main.checkCurPage("lock"))
				main.switchPageBack();
		}
	}
}
