-- Copyright (c) 2016-2017 Algo Communication Products Ltd.

require('webpage')
require('conf')
require('prod')

function uicommon_cst_menu(second)
	local top = 'User Interface'
	local tabs = {'General'}
	local links = {'/control/ui/index.lua'}
	local npage = conf_getpn('ui.page.active')
	for i = 1, npage do
		local desc = conf_getp('ui.page' .. i .. '.general.desc')
		if desc and desc ~= '' then
			table.insert(tabs, 'Page ' .. i .. ' - ' .. desc)
		else
			table.insert(tabs, 'Page ' .. i)
		end
		table.insert(links, '/control/ui/page.lua?page=' .. i)
	end
	table.insert(tabs, 'File Manager')
	table.insert(links, '/control/ui/fm.lua')
	return webpage_cst_menu(prod_menu_top, {[top] = {tabs, links}},
		top, second)
end

function uicommon_load_conf()
	conf_load({['default'] = '/apps/uiapp/user-default/ui.conf',
		['user'] = '/apps/uiapp/user/ui.conf',
		['compr'] = true})
end
