// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Rectangle {
	id: dialer
	property string page_id: ""

	x: 0; y: 0; width: 640; height: 480
	color: "black"

	Image {
		id: dialpad_bg
		fillMode: Image.PreserveAspectFit
		x: 0
		y: 0
		source: main.theme + "dialpad-bg.png"
	}

	SailKeypad {
		id: keypad
		password: 0
		transparent: 0
	}

	SailButton {
		x: 400; y: 80; width: 150 ; height: 84
		frame.border.width: 0
		frame.color: "transparent"
		pic.y: 0
		pic.source: main.theme + "dp-call.png"
		highlight.source: main.theme + "white-150x84.png"

		label_res_top: 0
		label_res_height: 0

		function click()
		{
			if( keypad.input.length  > 0  ) {
				phonePage.callOut(keypad.input);
			}
			keypad.clear();
			keypad.unlock();
		}
	}

	SailButton {
		x: 400; y: 380; width: 150 ; height: 84
		frame.border.width: 0
		frame.color: "transparent"
		pic.y: 0
		pic.source: main.theme + "dp-exit.png"
		highlight.source: main.theme + "white-150x84.png"

		label_res_top: 0
		label_res_height: 0

		function click()
		{
			main.handleTouch();
			keypad.clear();
			keypad.unlock();

			main.switchPageBack();
		}
	}
}
