// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	property string pic_source: ""
	property string highlight_source: ""
	property string digit: ""
	property alias enable: base.enable
	property alias transparent: base.transparent

	SailButton {
		id: base

		width: 84; height: 84
		frame.border.width: 0
//		frame.color: "black"
		frame.color: "transparent"
		pic.y: 0
		pic.source: pic_source
		highlight.source: highlight_source
		label_res_top: 0
		label_res_height: 0

		function click()
		{
			main.handleTouch();
			keypad.append(digit);
		}
	}
}
