// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item{
	id:keyboard

	property string page_id: ""
	property string text:""

	signal clicked()

	function button_pressed(ch)
	{
		text = ch;
		keyboard.clicked();
	}

	Image {
		source: main.theme + "kb-bg.png"
	}

	Row {
		id: row1
		spacing: 0
		x:0; y: 10

		SailButton {
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "Q"

			function click()
			{
				button_pressed("Q");
			}
		}


		SailButton {
		//	x:70; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "W"

			function click()
			{
				button_pressed("W");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "E"

			function click()
			{
				button_pressed("E");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "R"

			function click()
			{
				button_pressed("R");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "T"

			function click()
			{
				button_pressed("T");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "Y"

			function click()
			{
				button_pressed("Y");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "U"

			function click()
			{
				button_pressed("U");
			}
		}


		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "I"

			function click()
			{
				button_pressed("I");
			}
		}


		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "O"

			function click()
			{
				button_pressed("O");
			}
		}


		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "P"

			function click()
			{
				button_pressed("P");
			}
		}

    }



//row 2

    Row {
        id: row2
        spacing: 0
		x:30; y: 80


		SailButton {
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "A"

			function click()
			{
				button_pressed("A");
			}
		}


		SailButton {
		//	x:70; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "S"

			function click()
			{
				button_pressed("S");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "D"

			function click()
			{
				button_pressed("D");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "F"

			function click()
			{
				button_pressed("F");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "G"

			function click()
			{
				button_pressed("G");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "H"

			function click()
			{
				button_pressed("H");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "J"

			function click()
			{
				button_pressed("J");
			}
		}


		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "K"

			function click()
			{
				button_pressed("K");
			}
		}


		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "L"

			function click()
			{
				button_pressed("L");
			}
		}

    }


    Row {
        id: row3
        spacing: 0
		x:100; y: 150


		SailButton {
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "Z"

			function click()
			{
				button_pressed("Z");
			}
		}


		SailButton {
		//	x:70; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "X"

			function click()
			{
				button_pressed("X");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "C"

			function click()
			{
				button_pressed("C");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "V"

			function click()
			{
				button_pressed("V");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "B"

			function click()
			{
				button_pressed("B");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "N"

			function click()
			{
				button_pressed("N");
			}
		}

		SailButton {
			//x:140; y: 0
			width: 64; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "M"

			function click()
			{
				button_pressed("M");
			}
		}

    }

/*
    Row {
        id: row4
        spacing: 0
		x:100; y: 220

		SailButton {
			width: 264; height: 64
			frame.border.width: 0
			frame.color: "transparent"
			pic.y: 0
			pic.width: 264

			button_bg: main.theme + "kbutton.png"
			highlight.source: main.theme + "white-84x84.png"
			label_res_top: 0
			label_res_height: 0

			label.text: "SPACE"
		}

    }
*/


}
