-- Copyright (c) 2016 Algo Communication Products Ltd.

require('session')
require('webpage')

local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
end

function send_ok()
	mg.write('HTTP/1.1 200 OK\r\nConnection: close\r\n\z
		Content-Type: text/html\r\n\r\n{"status","server"}')
end

local method = mg.request_info.request_method
local cl = tonumber(mg.request_info.http_headers['Content-Length'])
local vars = {}
if method == "POST" and cl and cl > 0 then
	local sizelimit = 200 * 1024 * 1024	-- 200MB
	local dp
	webpage_parse_multipart(cl, vars, '/apps/upgrade', sizelimit)
	if vars['target'] and vars['target'] ~= '' then
		dp = '/apps/uiapp/user/"' .. vars['target'] .. '"'
	end
	os.execute('mv /apps/upgrade/* ' .. dp)
	send_ok()
end
