-- Copyright (c) 2016 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')
require('prod')
require('uicommon')

uicommon_load_conf()
local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end

session_save()

content = [[
<script type="text/javascript">
	webix.ready(function(){
		webix.ui({
			container: "appcontent",
			rows:[{
				view:"filemanager",
				disabledHistory: true,
				id:"files",
				handlers:{
					"remove": "/control/ui/fm-data.lua",
					"create": "/control/ui/fm-data.lua",
					"rename": "/control/ui/fm-data.lua",
					"move": "/control/ui/fm-data.lua",
					"download": "/control/ui/fm-data.lua",
					"upload" : "/control/ui/fm-upload.lua"
				}
			}]
		});

		$$("files").load("/control/ui/fm-data.lua");
	});
</script>
<div id="appcontent" style="height:600px"></div>
]]

local html_header = webpage_cst_header(nil, nil, nil, nil, nil,
	{'/static/lanbox.css',
	 '/clibs/webix/webix.css',
	 '/clibs/webix/filemanager.css'},
	{'/clibs/webix/webix.js',
	 '/clibs/webix/filemanager.js'})

mg.write(html_header ..
	uicommon_cst_menu('File Manager') ..
	webpage_cst_mchd_app(0, g_reboot) ..
	content ..
	webpage_mcft_app ..
	prod_footer)
